Subject: Re: What's cooking in git.git (Aug 2025, #10; Fri, 22)

From: Phillip Wood <[email-masked]>
Date: Tue, 26 Aug 2025 14:40:00 +0100

On 23/08/2025 01:10, Junio C Hamano wrote:
> 
> * pw/3.0-commentchar-auto-deprecation (2025-07-31) 4 commits
>   - commit: print advice when core.commentString=auto
>   - config: warn on core.commentString=auto
>   - breaking-changes: deprecate support for core.commentString=auto
>   - Merge branch 'ps/config-wo-the-repository' into pw/3.0-commentchar-auto-deprecation
> 
>   Proposes to deprecate "core.commentChar=auto" that attempts to
>   dynamically pick a suitable comment character, as it is too much
>   trouble to support for little benefit.
> 
>   Will merge to 'next'?
>   source: <[email-masked]>

I've just sent v3 with some small cleanups as 
<[email-masked]>. There was some 
discussion about the best way to warn the user when core.commentChar is 
set in a submodule. I've left that for now as I think it would be best 
to get some feedback from users before deciding if it can be improved.

Thanks

Phillip